ld problem

leafy leafy at leafy.idv.tw
Sat Jun 19 15:42:00 GMT 2004


/usr/bin/ld: warning: libexpat.so.5, needed by 
/usr/X11R6/lib/libfontconfig.so, not found (try using -rpath or 
-rpath-link)

I get this when trying to upgrade gconf2 port.

ldd /usr/X11R6/lib/libfontconfig.so
/usr/X11R6/lib/libfontconfig.so:
        libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x28180000)
        libz.so.2 => /lib/libz.so.2 (0x281e7000)
        libexpat.so.5 => /usr/local/lib/libexpat.so.5 (0x281f4000)

ls -l /usr/local/lib/libexpat.so.5
-rwxr-xr-x  1 root  wheel  157509  5 30 16:01 
/usr/local/lib/libexpat.so.5*

Is there something I can do to rectify this?

Jiawei
-- 
"Without the userland, the kernel is useless."
               --inspired by The Tao of Programming


More information about the freebsd-current mailing list